summarylogtreecommitdiffstats
path: root/mechvibes.install
diff options
context:
space:
mode:
Diffstat (limited to 'mechvibes.install')
-rw-r--r--mechvibes.install22
1 files changed, 22 insertions, 0 deletions
diff --git a/mechvibes.install b/mechvibes.install
new file mode 100644
index 000000000000..99a9edf2b006
--- /dev/null
+++ b/mechvibes.install
@@ -0,0 +1,22 @@
+post_install() {
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+
+ # Link to the binary
+ ln -sf '/opt/Mechvibes/mechvibes' '/usr/bin/mechvibes'
+
+ update-mime-database /usr/share/mime || true
+ update-desktop-database /usr/share/applications || true
+ update-desktop-database -q
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+
+ # Delete the link to the binary
+ rm -f '/usr/bin/mechvibes'
+ update-desktop-database -q
+}